GRASS GIS 7 CRS issue

2016-03-15 01:10 PM - R. R.

Status: Closed

Priority: Normal

Assignee:

Category: Processing/GRASS

Affected QGIS version:2.14.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 22474

Description

In my case the output layer of a GRASS GIS 7 command always has a generated CRS:

+proj=tmerc +lat_0=0 +lon_0=16.33333333333333 +k=1 +x_0=0 +y_0=-5000000 +ellps=bessel +units=m +no_defs

The CRS of the project and the input layers is MGI / Austria GK East (+proj=tmerc +lat_0=0 +lon_0=16.33333333333333 +k=1 +x_0=0

+y_0=-5000000 +ellps=bessel +towgs84=577.326,90.129,463.919,5.137,1.474,5.297,2.4232 +units=m +no_defs).

WGS 84 (4326) input layers seem to work properly. I haven’t tested other CRS so far.

Related issues:

Duplicates QGIS Application - Bug report # 11884: Processing generates output... Closed 2014-12-18

History

#1 - 2016-03-15 01:11 PM - R. R.

- Assignee deleted (Victor Olaya)

#2 - 2016-03-18 12:51 PM - Maximilian Krambach

From the prj files of the shapes:

Created in QGIS: 

PROJCS["MGI_Austria_GK_East",GEOGCS["GCS_MGI",DATUM["D_MGI",SPHEROID["Bessel_1841",6377397.155,299.1528128]],PRIMEM["Greenw

ch",0],UNIT["Degree",...

Output of v.clean via QGIS-toolbox

PROJCS["Transverse_Mercator",GEOGCS["GCS_bessel",DATUM["D_unknown",SPHEROID["Bessel_1841",6377397.155,299.1528128]],PRIMEM["Gr

enwich",0],UNIT["Degree",...

Imported into a new grass project; exported again

PROJCS["Transverse_Mercator",GEOGCS["GCS_bessel",DATUM["D_Militar_Geographische_Institut",SPHEROID["Bessel_1841",6377397.155,299.1

28128]],PRIMEM["Greenwich",0],UNIT["Degree"...

(... is identical)

So the names of the CRS and the Datum differ, but the rest seems okay.

#3 - 2016-04-09 01:32 AM - Paolo Cavallini

- OS version set to 10
- Operating System set to Windows

So apparently +towgs params are stripped. I confirm this for Windows, whereas on Debian it works fine (EPSG:3003 in input results in 3003 in output).

#4 - 2016-04-09 02:19 AM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Open to Closed

duplicate of #11884

#5 - 2016-09-29 12:22 AM - Stefan Blumentrath

My guess is that the issue is related to this one:

https://trac.osgeo.org/grass/ticket/3048

(GRASS does not write AUTHORITY parameter (the EPSG code) to GeoTIFFs, thus QGIS makes a guess where it takes the first matching CRS (the ID

number of the assigned EPSG code is lower than the original), I presume...).
